### Method

# Gio FileInfo get_file_type

#### Declaration [src]

    GFileType
    g_file_info_get_file_type (
      GFileInfo* info
    )

#### Description [src]

Gets a file’s type (whether it is a regular file, symlink, etc). This is different from the file’s content type, see g_file_info_get_content_type().

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_TYPE`.

#### Return value

Type: `GFileType`

A `GFileType` for the given file.